[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: GeForce4 MX440 with kernel 2.4.18-bf24

> On Thu, Oct 30, 2003 at 07:26:40AM -0600, Hoyt Bailey said
> > Is anyone running the subject video card on the subject kernel. If so what
> > driver are you using? If you know where can I get a copy of your driver?
> Unfortunately, GeForce4 cards won't work with the "nv" driver included
> with X before X 4.2.  Woody includes 4.1, so you'll either need to:
> 1) Use the "vesa" driver and have a low refresh rate and resolution
> or
> 2) get X4.2 or 4.3 for woody, www.apt-get.org has the apt source you
>    need.
> or
> 3) get the non-free binary-only nvidia drivers.  The "nvidia-glx-src"
>    and "nvidia-kernel-src" packages make this rather easy.  This is only
>    an option on x86, however.

Rob, I follow you on points 1 and 2, but not 3. The nVidia has
completely changed its driver policy, and now everything (driver,
installation utility) comes in one self-expanding .run file. And this
driver supports a range of their cards, including all the GeForces. So
it's very simple now. What you do is to use a (downloaded or
automatically compiled) interface to mediate the relation of your
driver and kernel.

Further, it is apparently free. Or at least I downloaded and installed
the driver on woody and have not paid yet ;-). The driver's name is

Haines Brown

Reply to: